## Ceil
Find the nearest integer that is greater than or equal to the parameter

### Declaration
```glsl
float ceil(float x)  
vec2 ceil(vec2 x)  
vec3 ceil(vec3 x)  
vec4 ceil(vec4 x)
```

### Parameters
```x``` specify the value to evaluate.

### Description
```ceil()```  returns a value equal to the nearest integer that is greater than or equal to ```x```.

<div class="simpleFunction" data="y = ceil(x); "></div>

### See Also
[floor](index.html#floor.md), [fract](index.html#fract.md), [mod](index.html#mod.md), [Chapter 05: Shaping Functions](../05/)